<script setup>
import useUtils from "@/utils/utils.js";

const utils = useUtils()
const props = defineProps(["v-bytes"])
const {format} = (function () {
	let bytes = props.vBytes
	if (typeof bytes != "number") {
		bytes = 0
	}
	let format = utils.splitFormat(utils.formatBytes(bytes))
	return {
		format: format
	}
})()
</script>

<template>
	<var class="normal">
		<span>{{ format[0] }}</span>{{ format[1] }}
	</var>
</template>

<style scoped>

</style>